Herqq

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# HActionSetup Class Reference
Device Model

This class is used to specify information that can be used to setup an HServerAction or validate a UPnP action. More...

`#include <HActionSetup>`

List of all members.

## Public Member Functions
| HActionSetup ()
| HActionSetup (const QString &name, HInclusionRequirement incReq=InclusionMandatory)
| HActionSetup (const QString &name, int version, HInclusionRequirement incReq=InclusionMandatory)
| HActionSetup (const HActionSetup &)
HActionSetup & | operator= (const HActionSetup &)
| ~HActionSetup ()
const HActionArguments & | inputArguments () const
const HActionArguments & | outputArguments () const
HInclusionRequirement | inclusionRequirement () const
bool | isValid () const
QString | name () const
int | version () const
void | setInputArguments (const HActionArguments &args)
void | setOutputArguments (const HActionArguments &args)
bool | setName (const QString &name, QString *err=0)
void | setInclusionRequirement (HInclusionRequirement arg)
void | setVersion (int version)

## Detailed Description

This class is used to specify information that can be used to setup an HServerAction or validate a UPnP action.

See also:
  HActionsSetupData, HClientAction, HServerAction

Remarks:
  This class is not thread-safe.

## Constructor & Destructor Documentation

HActionSetup | ( |  | ) |

Creates a new, invalid instance.

See also:
  isValid()

HActionSetup | ( | const QString & | name,
|  | HInclusionRequirement | incReq = `InclusionMandatory`
| ) |  | `[explicit]`

Creates a new instance.

Parameters:

  name | specifies the name of the action. If the name value contains special characters other than hyphens or dots the instance will be invalid and name() will be empty.
  incReq | specifies the inclusion requirement of the action.

See also:
  isValid()

Remarks:
  the version() is set to 1.

HActionSetup | ( | const QString & | name,
|  | int | version,
|  | HInclusionRequirement | incReq = `InclusionMandatory`
| ) |  |

Creates a new instance.

Parameters:

  name | specifies the name of the action. If the name value contains special characters other than hyphens or dots the instance will be invalid and name() will be empty.
  version | specifies the UPnP service version in which the action was first specified.
  incReq | specifies the inclusion requirement of the action.

See also:
  isValid()

HActionSetup | ( | const HActionSetup & | other | ) |

Copy constructor.

Creates a copy of other.

~HActionSetup | ( |  | ) |

Destroys the instance.

## Member Function Documentation

HActionSetup & operator= | ( | const HActionSetup & | other | ) |

Assignment operator.

Copies the contents of other to this.

const HActionArguments & inputArguments | ( |  | ) | const

Returns the setup information of the action's input arguments.

Returns:
  The setup information of the action's input arguments.

See also:
  setInputArguments()

const HActionArguments & outputArguments | ( |  | ) | const

Returns the setup information of the action's output arguments.

Returns:
  The setup information of the action's output arguments.

See also:
  setOutputArguments()

HInclusionRequirement inclusionRequirement | ( |  | ) | const

Returns the inclusion requirement of the action.

Returns:
  The inclusion requirement of the action.

See also:
  setInclusionRequirement()

bool isValid | ( |  | ) | const

Indicates if the object is valid.

Returns:
  true in case the object is valid, that is, the name(), version() and the inclusionRequirement() are properly defined.

QString name | ( |  | ) | const

Returns the name of the action.

Returns:
  The name of the action.

See also:
  setName()

int version | ( |  | ) | const

Returns the UPnP service version in which the action was first specified.

Returns:
  The UPnP service version in which the action was first specified.

See also:
  setVersion()

void setInputArguments | ( | const HActionArguments & | args | ) |

Specifies the action's input arguments.

Parameters:

  args | specifies the setup information for the action's input arguments.

See also:
  inputArguments()

void setOutputArguments | ( | const HActionArguments & | args | ) |

Specifies the action's output arguments.

Parameters:

  args | specifies the setup information for the action's output arguments.

See also:
  outputArguments()

bool setName | ( | const QString & | name,
|  | QString * | err = `0`
| ) |  |

Sets the name of the action.

Parameters:

  name | specifies the name of the action.
  err | is a pointer to a `QString` that contains an error description in case the name could not be set. This is an optional parameter.

Returns:
  true in case the specified name was successfully set.

See also:
  name()

void setInclusionRequirement | ( | HInclusionRequirement | arg | ) |

Sets the inclusion requirement of the action.

Parameters:

  arg | specifies the inclusion requirement of the action.

See also:
  inclusionRequirement()

void setVersion | ( | int | version | ) |

Specifies the UPnP service version in which the action was first specified.

Parameters:

  version | specifies the UPnP service version in which the action was first specified.

See also:
  version()